#
# spec file for package pg_iface (Version 6.3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  postgres pg_ifa pg_datab gpp libgpp jdk116 xpm mmcore mmbase mmslib xforms

%define version 6.3.2
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pg_iface
Release:      3
Copyright:    Different: GPL, Artistic License, 1996-98 by Keith R. Davis, Mutiny Bay Software...
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      6.3.2
Summary:      PostgreSQL Interfaces
Source:       ftp://ftp.postgresql.org/pub/postgresql-6.3.2.tar.gz
# ftp://ftp.postgresql.org/pub/patches/linux_elf.patch-980421.gz
# ftp://ftp.postgresql.org/pub/patches/configure-980430.gz
# Source1: ftp://ftp.troubador.com/pub/keidav/mpsql-2.0b1.tgz
Source1: ftp://sunsite.unc.edu/apps/database/postgresSQL/mpsql-1.5.3.tgz
Source2: ftp://sunsite.unc.edu/apps/database/postgresSQL/appgen-0.2-alpha.tar.gz
Source3: ftp://sunsite.unc.edu/apps/database/postgresSQL/dbbrowser-0.9.src.tar.gz
Patch:   pg_iface-6.3.2.dif
# java
### BuildRoot isn't needed for this packages, or...???
# BuildRoot: /var/tmp/pgsql
%description
In the meantime, there are a lot "interfaces" available to access
a PostgreSQL database system.  These interfaces could be quite
different: there are ordinary drivers which could be included in foreign
programs (even Windows programs) like ODBC or JDBC, or modules which one
will use in script languages (Tcl/Tk, Perl, Pyhton), or ready to use
database browsers.  Right now, this package contains:
1. A Perl5 module.
2. A JDBC driver (Java).

Authors:
--------
    Peter T Mount <pmount@maidast.demon.co.uk>
    Adrian Hall <adrian@hottub.org>
    Edmund Mergl <E.Mergl@bawue.de>
    Keith R. Davis <keidav@whidbey.com>

%prep
rcpostgres start
%setup -n postgresql-%{version} -a 1 -a 2 
mkdir dbbrowser-0.9
tar xvpfzC $RPM_SOURCE_DIR/dbbrowser-0.9.src.tar.gz dbbrowser-0.9
%patch
( cd src && \
  ./configure --prefix=/usr/lib/pgsql \
              --bindir=/usr/bin \
              --mandir=/usr/man \
              --enable-hba  --enable-locale \
              --disable-cassert \
              --with-includes=/usr/include/termcap \
              --with-libs=/usr/lib/termcap \
              --with-template=linux \
              --with-tcl --with-perl )
%build
eval `perl -V:installarchlib`
rm -f $installarchlib/perllocal.pod
make all -C src/interfaces/jdbc
 ( cd src/interfaces/jdbc \
     && mkdir jdbc && cp -a example jdbc \
     && cp README* jdbc )
( cd src/interfaces/perl5 \
    && mkdir perl5 && cp README Changes perl5 \
    && export POSTGRES_HOME=/usr/lib/pgsql && perl Makefile.PL \
    &&  make )
%{INSTALL_DIR} html
%{INSTALL_DIR} html/appgen
cd AppGEN
make -C src
cp ag/* ../html/appgen
ln -s README README.appgen
cd ..
cd mpsql-1.5.3
xmkmf -a
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv mpsql mpsql.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make
ln -s COPYRIGHT COPYRIGHT.mpsql
ln -s README README.mpsql
cd ..
cd dbbrowser-0.9
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv dbbrowser dbbrowser.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make 
ln -s README README.dbbrowser
cd ..
%install
%{INSTALL_DIR} /usr/lib/pgsql/lib
%{INSTALL_DATA} src/interfaces/jdbc/postgresql.jar /usr/lib/pgsql/lib/postgresql.jar
( cd src/interfaces/perl5 \
    && export POSTGRES_HOME=/usr/lib/pgsql \
    &&  make install )
rcpostgres stop
cd AppGEN
%{INSTALL_DATA} include/* /usr/lib/pgsql/include
%{INSTALL} bin/* /usr/bin
%{INSTALL_DATA} lib/libappgen.a /usr/lib/libappgen.a
cd ../mpsql-1.5.3
make install
mv /usr/X11R6/bin/mpsql /usr/X11R6/bin/mpsql.SuSE-static
%{INSTALL} mpsql.SuSE-dynamic /usr/X11R6/bin
ln -sf mpsql.SuSE-static /usr/X11R6/bin/mpsql
cd ../dbbrowser-0.9
make install
mv /usr/X11R6/bin/dbbrowser /usr/X11R6/bin/dbbrowser.SuSE-static
%{INSTALL} dbbrowser.SuSE-dynamic /usr/X11R6/bin
ln -sf dbbrowser.SuSE-static /usr/X11R6/bin/dbbrowser
eval `perl -V:installarchlib`
install -d /var/adm/perl-modules
mv $installarchlib/perllocal.pod /var/adm/perl-modules/pg_iface
Check
# %post
%files
# jdbc
%doc src/interfaces/jdbc/jdbc
/usr/lib/pgsql/lib/postgresql.jar
# Perl
%doc src/interfaces/perl5/perl5
/usr/lib/perl5/site_perl/i586-linux/auto/Pg/Pg.so
/usr/lib/perl5/site_perl/i586-linux/auto/Pg/Pg.bs
/usr/lib/perl5/site_perl/auto/Pg/autosplit.ix
/usr/lib/perl5/site_perl/Pg.pm
/usr/man/man3/Pg.3pm.gz
/usr/lib/perl5/site_perl/i586-linux/auto/Pg/.packlist
/var/adm/perl-modules/pg_iface
# AppGEN
%doc html/*
%doc AppGEN/README.appgen AppGEN/appgen-0.2-alpha.lsm
/usr/lib/pgsql/include/AppGEN.h
/usr/bin/appgen
/usr/bin/dbf2sql
/usr/bin/defgen
/usr/lib/libappgen.a
# MPSQL
%doc mpsql-1.5.3/COPYRIGHT.mpsql mpsql-1.5.3/README.mpsql
/usr/X11R6/lib/X11/app-defaults/Mpsql
/usr/X11R6/bin/mpsql.SuSE-static
/usr/X11R6/bin/mpsql.SuSE-dynamic
/usr/X11R6/bin/mpsql
# dbbrowser
%doc dbbrowser-0.9/README.dbbrowser
/usr/X11R6/man/man1/dbbrowser.1x.gz
/usr/X11R6/bin/dbbrowser
/usr/X11R6/bin/dbbrowser.SuSE-static
/usr/X11R6/bin/dbbrowser.SuSE-dynamic

